OpenTTD Multiple Buffer Overflow Vulnerabilities and Denial of Service Vulnerability

Bugtraq ID: 49439
Class: Boundary Condition Error
CVE: CVE-2011-3341
CVE-2011-3342
CVE-2011-3343
Remote: Yes
Local: No
Published: Sep 02 2011 12:00AM
Updated: Apr 13 2015 08:31PM
Credit: Matt D
Vulnerable: OpenTTD OpenTTD 1.0.5
OpenTTD OpenTTD 1.0.4
OpenTTD OpenTTD 1.0.3
OpenTTD OpenTTD 1.0.2
OpenTTD OpenTTD 1.0.1
OpenTTD OpenTTD 1.0 RC3
OpenTTD OpenTTD 1.0 rc2
OpenTTD OpenTTD 1.0 RC1
OpenTTD OpenTTD 1.0 beta3
OpenTTD OpenTTD 1.0 Beta2
OpenTTD OpenTTD 1.0 beta1
OpenTTD OpenTTD 1.0
OpenTTD OpenTTD 0.7.5
OpenTTD OpenTTD 0.7.4
OpenTTD OpenTTD 0.6.3
OpenTTD OpenTTD 0.6.2
OpenTTD OpenTTD 0.6.1
OpenTTD OpenTTD 0.5.3
OpenTTD OpenTTD 0.5.1
OpenTTD OpenTTD 0.5
OpenTTD OpenTTD 0.4.7
OpenTTD OpenTTD 0.4 .0.1
OpenTTD OpenTTD 0.3.5
OpenTTD OpenTTD 1.0.5 Rc2
OpenTTD OpenTTD 1.0.5 Rc1
OpenTTD OpenTTD 1.0.4 Rc1
OpenTTD OpenTTD 1.0.4
OpenTTD OpenTTD 1.0.3 Rc1
OpenTTD OpenTTD 1.0.3
OpenTTD OpenTTD 1.0.2 Rc1
OpenTTD OpenTTD 1.0.2
OpenTTD OpenTTD 1.0.1 Rc2
OpenTTD OpenTTD 1.0.1 RC1
OpenTTD OpenTTD 1.0.0 Beta4
OpenTTD OpenTTD 0.7
OpenTTD OpenTTD 0.3.5
OpenTTD OpenTTD 0.3.4
Gentoo Linux
Debian Linux 6.0 sparc
Debian Linux 6.0 s/390
Debian Linux 6.0 powerpc
Debian Linux 6.0 mips
Debian Linux 6.0 ia-64
Debian Linux 6.0 ia-32
Debian Linux 6.0 arm
Debian Linux 6.0 amd64
Not Vulnerable: OpenTTD OpenTTD 1.1.3


 

Privacy Statement
Copyright 2010, SecurityFocus